Name:           libunarr
Version:        1.0.1
Release:        3%{?dist}

Summary:        A decompression library for rar, tar and zip archives
License:        LGPLv3+
URL:            https://github.com/selmf/unarr
Source0:        %{url}/releases/download/v%{version}/unarr-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(zlib)

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -n unarr-%{version}
# wrong-file-end-of-line-encoding fix
sed -i 's/\r$//' README.md

%build
%cmake .
%make_build

%install
%make_install

%files
%doc CHANGELOG.md README.md AUTHORS
%license COPYING
%{_libdir}/%{name}.so.1*

%files devel
%license COPYING
%{_includedir}/unarr.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libunarr.pc

%changelog
* Fri Mar 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.1-3
- Initial package.
